Package org.bukkit.event.player

# Class PlayerKickEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.player.PlayerEvent
org.bukkit.event.player.PlayerKickEvent

All Implemented Interfaces:
  `Cancellable`

public class PlayerKickEvent extends PlayerEvent implements Cancellable
Called when a player gets kicked from the server

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`PlayerKickEvent.Cause`

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.player.PlayerEvent

`player`

## Constructor Summary

Constructors
Constructor
Description
`PlayerKickEvent(@NotNull Player playerKicked, @NotNull String kickReason, @NotNull String leaveMessage)`
Deprecated.
`PlayerKickEvent(@NotNull Player playerKicked, Component kickReason, Component leaveMessage)`
Deprecated.
`PlayerKickEvent(@NotNull Player playerKicked, Component kickReason, Component leaveMessage, @NotNull PlayerKickEvent.Cause cause)`

## Method Summary

Modifier and Type
Method
Description
`PlayerKickEvent.Cause`
`getCause()`
Gets the cause of this kick
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`@NotNull String`
`getLeaveMessage()`
Deprecated.
in favour of `leaveMessage()`
`@NotNull String`
`getReason()`
Deprecated.
in favour of `reason()`
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`Component`
`leaveMessage()`
Gets the leave message send to all online players
`void`
`leaveMessage(Component leaveMessage)`
Sets the leave message send to all online players
`Component`
`reason()`
Gets the reason why the player is getting kicked
`void`
`reason(Component kickReason)`
Sets the reason why the player is getting kicked
`void`
`setCancelled(boolean cancel)`
Sets the cancellation state of this event.
`void`
`setLeaveMessage(@NotNull String leaveMessage)`
Deprecated.
in favour of `leaveMessage(net.kyori.adventure.text.Component)`
`void`
`setReason(@NotNull String kickReason)`
Deprecated.
in favour of `reason(net.kyori.adventure.text.Component)`

### Methods inherited from class org.bukkit.event.player.PlayerEvent

`getPlayer`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PlayerKickEvent

@Deprecated public PlayerKickEvent(@NotNull @NotNull Player playerKicked, @NotNull @NotNull String kickReason, @NotNull @NotNull String leaveMessage)
Deprecated.

### PlayerKickEvent

@Deprecated public PlayerKickEvent(@NotNull @NotNull Player playerKicked, @NotNull Component kickReason, @NotNull Component leaveMessage)
Deprecated.

### PlayerKickEvent

public PlayerKickEvent(@NotNull @NotNull Player playerKicked, @NotNull Component kickReason, @NotNull Component leaveMessage, @NotNull @NotNull PlayerKickEvent.Cause cause)

## Method Details

### leaveMessage

@NotNull public Component leaveMessage()
Gets the leave message send to all online players

Returns:
  string kick reason

### leaveMessage

public void leaveMessage(@NotNull Component leaveMessage)
Sets the leave message send to all online players

Parameters:
  `leaveMessage` - leave message

### reason

@NotNull public Component reason()
Gets the reason why the player is getting kicked

Returns:
  string kick reason

### reason

public void reason(@NotNull Component kickReason)
Sets the reason why the player is getting kicked

Parameters:
  `kickReason` - kick reason

### getReason

@NotNull @Deprecated public @NotNull String getReason()
Deprecated.
in favour of `reason()`
Gets the reason why the player is getting kicked

Returns:
  string kick reason

### getLeaveMessage

@NotNull @Deprecated public @NotNull String getLeaveMessage()
Deprecated.
in favour of `leaveMessage()`
Gets the leave message send to all online players

Returns:
  string kick reason

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancel)
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancel` - true if you wish to cancel this event

### setReason

@Deprecated public void setReason(@NotNull @NotNull String kickReason)
Deprecated.
in favour of `reason(net.kyori.adventure.text.Component)`
Sets the reason why the player is getting kicked

Parameters:
  `kickReason` - kick reason

### setLeaveMessage

@Deprecated public void setLeaveMessage(@NotNull @NotNull String leaveMessage)
Deprecated.
in favour of `leaveMessage(net.kyori.adventure.text.Component)`
Sets the leave message send to all online players

Parameters:
  `leaveMessage` - leave message

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()

### getCause

@NotNull public PlayerKickEvent.Cause getCause()
Gets the cause of this kick

Returns: